.zeb-top-edit-bar {
    width: 100%;
    height: 65px;
    display: none;
    margin-top: 5px;
}

.zeb-top-edit-bar img {
    margin-top: 15px;
}

.top-edit-done-button {
    right: 25px;
    padding: 20px 30px;
    color: var(--colr-edt);
    font-size: 120%;
    border-radius: 5px;
    text-shadow: 0px 1px 4px rgba(0, 0, 0, 0.40);
    border: rgba(255, 255, 255, 0.4) solid 1px;
    cursor: pointer;
}

.top-edit-button {
    position: absolute;
    transform: translateY(-50%);
    top: 50%;
}

.top-edit-svg-button {
    width: 40px;
    filter: invert(100%);
}

.photies-picker-tab {
    width: 100%;
}

.photie-filters-div {
    display: block;
    margin-top: 15px;
    margin-bottom: 15px;
    padding: 10px;
}

.photie-filters-div li,
.bubble-message-div li,
.bubble-shape-div li {
    list-style-type: none;
    margin: 0;
    padding: 10px 20px 10px 10px;
    text-align: left;
}

.photie-filters-div input .checkbox {
    width: 40px;
    height: 40px;
}

.bubble-shape-div .bubble-message-div {
    width: 100%;
}

.blingx2s-edit-div {
    width: 100%;
}

.blingx2-edit-div {
    width: 100%;
    text-align: left;
    color: rgba(192, 192, 192, 1);
}

.keyword-div {
    display: inline-block;
    width: 30ch;
    height: 45px;
    background-color: white;
    border-radius: 7px;
    color: black;
    font-size: 100%;
    text-align: left;
    margin-left: 30px;
    white-space: nowrap;
    overflow: hidden;
}

.keyword-div br {
    display: none;
}

.keyword-div * {
    display: inline;
    white-space: nowrap;
}

.property-table ul {
    padding-inline-start: 5px;
    margin-block-start: 0;
    margin-block-end: 0;
}

.ztn-langcode-img-edit {
    width: 50px;
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
}

.ztn-text-per-langcode {
    display: inline-block;
    width: calc(100% - 110px);
    vertical-align: middle;
}

.ztn-bubble-image-edit {
    width: 40%;
    vertical-align: middle;
}

.ztn-bubble-shape-background-div {
    white-space: nowrap;
    width: 100%;
    background-color: rgba(179, 150, 255, 0.5);
}

.selected-touchable {
    border: var(--size-select-border) solid;
    border-image: url("resource/border-rope.svg");
    border-image-slice: 170;
}

.selected-bubble {
    filter: drop-shadow(12px 12px 7px var(--colr-edt)) drop-shadow(-12px -12px 7px var(--colr-edt));
}

.selected-bubble-mark {
    filter: drop-shadow(12px 12px 7px var(--colr-mkt)) drop-shadow(-12px -12px 7px var(--colr-mkt));
}

/* refer https://codepen.io/sosuke/pen/Pjoqqp to get the right filter to --colr-edt #0094FF */
.selected-cut {
    -webkit-mask-image: radial-gradient(circle, #0094ffff 30%, #0094ff50 50%);
    mask-image: radial-gradient(circle, #0094ffff 30%, #0094ff50 50%);
    filter: contrast(120%) brightness(90%) hue-rotate(-20deg) saturate(150%);
}

.edit-cut-border-active {
    border-left: var(--thickness-active-row-border) solid var(--colr-edt);
    border-right: var(--thickness-active-row-border) solid var(--colr-edt);
    animation: edit-cut-border-active-blink 0.7s 2 ease-in-out;
}

@keyframes edit-cut-border-active-blink {

    from,
    to {
        border-color: transparent
    }

    50% {
        border-color: var(--colr-edt)
    }
}

.edit-cut-border-inactive {
    border-left: var(--thickness-active-row-border) solid transparent;
    border-right: var(--thickness-active-row-border) solid transparent;
}

.photie-filters-div input[type="checkbox"] {
    height: 35px;
    width: 35px;
    vertical-align: middle;
    margin-right: 10px;
}

.photie-filters-div input[type="checkbox"]:checked {
    box-shadow: 0 0 0 5px var(--colr-edt);
}

.photie-filters-div label {
    margin-right: 10px;
}

.edit-button-on-cut {
    position: absolute;
    left: 10px;
    width: 60px;
    z-index: var(--zidx-button-on-cut);
    visibility: hidden;
    filter: drop-shadow(0.786px 1.571px 1.571px rgba(0, 0, 0, 0.50));
}

.touchable-toolbar {
    background-color: rgba(255, 255, 255, 0.85);
    padding: 10px;
    width: 50px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    position: fixed;
    right: 15px;
    top: 50%;
    transform: translate(0%, -50%);
    display: flex;
    align-items: center;
    flex-direction: column;
    visibility: hidden;
    z-index: var(--zidx-tc-toolbar);
    border-radius: 12px;
}

.touchable-toolbar-more {
    border-top: 1px solid lightgrey;
    padding-top: 2px;
    height: 0px;
    visibility: hidden;
    padding-left: 10px;
    padding-right: 10px;
    overflow: hidden;
}

.touchable-toolbar-more.toggled {
    height: auto;
    visibility: visible;
}

.touchable-toolbar img {
    margin-top: 25px;
    margin-bottom: 25px;
    width: 100%;
    pointer-events: none;
}

.glt-bubble-shape-background-div {
    position: relative;
    width: 100%;
}

.bubble-shape-container-div {
    position: relative;
    width: 100%;
    z-index: var(--zidx-popup-menu);
}

.zeb-permission-div {
    font-size: 28px;
}

.zeb-permission-userlist {
    position: relative;
    display: flex;
    left: calc(60% - 400px);
}

.saving-pie {
    position: absolute;
    display: none;
    pointer-events: none;
    z-index: var(--zidx-mark-float-btn);
    display: block;
}